cancel
Showing results for 
Search instead for 
Did you mean: 
Reply
Highlighted
samuelf Frequent Visitor
Frequent Visitor

Error Message Connecting to PostgreSQL using SSPI

Hello,

 

I'm using Power BI Desktop 2.39.4526.362 64-bit (September 2016) and trying to connect to a PostgreSQL 9.4 database using SSPI authentication.

 

I can connect just fine using other clients (i.e. with python using psycopg2), however when I try to setup the postgres datasource in Power BI, I get the following error:

 

Details: "PostgreSQL: SSPI authentication but IntegratedSecurity not enabled

 

Error Message

 

EDIT: when I force change the postgres authentication from sspi to trust for my IP power BI can connect fine hence its definitly SSPI related. Keeping my authentication on trust is not my preferred solution though so any help would be greatly appreciated.

 

 

1 ACCEPTED SOLUTION

Accepted Solutions
arify Established Member
Established Member

Re: Error Message Connecting to PostgreSQL using SSPI

We'll look into adding Windows Authentication support for PostgreSQL soon, it'll take a few months for it to get released publicly.

 

Thanks for reporting this to us!

11 REPLIES 11
arify Established Member
Established Member

Re: Error Message Connecting to PostgreSQL using SSPI

Hi @samuelf, what's your npgsql driver version?

 

Thanks

samuelf Frequent Visitor
Frequent Visitor

Re: Error Message Connecting to PostgreSQL using SSPI

Hi @arify , I downloaded the latest one from github, hence Npgsql 3.1.8

arify Established Member
Established Member

Re: Error Message Connecting to PostgreSQL using SSPI

Is your server set up to use Kerberos Authentication (Integrated Security/SSPI/Windows Authentication) or Database Username/Password?

samuelf Frequent Visitor
Frequent Visitor

Re: Error Message Connecting to PostgreSQL using SSPI

It's setup for SSPI Windows Authentication - everything else connects without any issues i.e. Tableau or python using psycopg2

arify Established Member
Established Member

Re: Error Message Connecting to PostgreSQL using SSPI

I see, thanks. Looks like PostgreSQL added SSPI support on server version 8.3, and we haven't updated ourselves accordingly. Just making sure, what's your server version?

samuelf Frequent Visitor
Frequent Visitor

Re: Error Message Connecting to PostgreSQL using SSPI

PostgreSQL 9.4.4, compiled by Visual C++ build 1800, 64-bit

arify Established Member
Established Member

Re: Error Message Connecting to PostgreSQL using SSPI

We'll look into adding Windows Authentication support for PostgreSQL soon, it'll take a few months for it to get released publicly.

 

Thanks for reporting this to us!

samuelf Frequent Visitor
Frequent Visitor

Re: Error Message Connecting to PostgreSQL using SSPI

Ah I see, thanks for letting me know.

samuelf Frequent Visitor
Frequent Visitor

Re: Error Message Connecting to PostgreSQL using SSPI

Any ETA on PostgreSQL SSPI authentication?